clear, clc, clf, clg
t0=0;
tk=300;
nt=100;
Tc=20;
Tpol=170;
nR=20;
R=0.005
dr=R/(nR-1);
dt=(tk-t0)/(nt-1);
a=0.000026/3600;
for j=1:nR+2
    T(1,j)=Tpol;
end
for i=1:nt+1
    T(i,1)=Tc;
end
for i=1:nt
    for j=1:nR
        r=R-dr*(j-1)+0.0001*dr; 
        T(i+1,j+1)=T(i,j+1)+(a*dt/dr)*(((T(i,j+2)-2*T(i,j+1)+T(i,j))/dr)+((1/r)*(T(i,j+2)-T(i,j+1))));
    end
    T(i+1,nR+1)=T(i+1,nR);
    T(i+1,nR+2)=T(i+1,nR);
end
figure(1)
mesh(T)
xlabel('t, Cek')
ylabel('Q, Dg')
zlabel('t, Cek')

