clear, clc, clf, clg
t0=0; 
tk=120;
nt=120;
Tc=30;
Tpol=170;
nR=10;
R=0.01;
dr=R/(nR-1);
dt=(tk-t0)/(nt-1);
a=0.00000056;
for i=1:nt+1
    T(i,1)=Tc;
end
for j=1:nR+2
    T(1,j)=Tpol*exp(-2000*(R-dr*(j-1))^2);
end
for i=1:nt
    for j=1:nR
        r=R-dr*(j-1)+0.0001*dr; 
        T(i+1,j+1)=T(i,j+1)+(a*dt/dr)*(((T(i,j+2)-2*T(i,j+1)+T(i,j))/dr)+((1/r)*(T(i,j+2)-T(i,j+1))));
    end
    T(i+1,nR+1)=T(i+1,nR);
    T(i+1,nR+2)=T(i+1,nR);
end
for i=1:nt
    for j=1:nR
        TT(i,j)=T(i,nR-j+1);
    end
end
figure(1)
mesh(TT)
xlabel('R, MM')
ylabel('t, cek')
zlabel('T C') 
